%define compatv 72
%{?compatv:%define compatfv 7.2}

%define _phplib %{_libdir}/php%{?compatv}
%define _extdir %{_phplib}/extensions
%define modname oauth
%define modfullname mod_%{modname}

Summary: php %{?compatfv} OAUTH 1.0 extension
Summary(ko): php %{?compatfv} OAUTH 1.0 확장
Name: php%{?compatv}-pecl-%{modname}
Version: 2.0.2
Release: 1%{?dist}
Epoch: 1
Group: Development/Languages
License: PHP
Source0: %{modname}-%{version}.tgz

BuildRoot: /var/tmp/%{name}-root
Requires: php%{?compatv}api
BuildRequires: php%{?compatv}-devel
Provides: php%{?compatv}-pecl(%{modname}) = %{version}
Provides: php%{?compatv}-%{modname}

%description
oauth 1.0 consumer and provider extension

%prep
%setup -q -n %{modname}-%{version}

%build

/usr/bin/phpize%{?compatv}

CFLAGS="${RPM_OPT_FLAGS}"
./configure

%{__make} %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" -a -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_extdir}

%{__install} -m755 modules/%{modname}.so %{buildroot}%{_extdir}/%{modname}.so

%{__mkdir_p} %{buildroot}%{_sysconfdir}/php%{?compatv}.d/{%{!?compatv:apache},cli,fpm}
for i in %{!?compatv:apache} cli fpm
do
	%{__cat} > %{buildroot}%{_sysconfdir}/php%{?compatv}.d/$i/%{modname}.ini <<EOF
extension = %{modname}
EOF
done

%clean
[ "%{buildroot}" != "/" -a -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(755,root,root) %{_extdir}/%{modname}.so
%{!?compatv:%config(noreplace) %{_sysconfdir}/php%{?compatv}.d/apache/%{modname}.ini}
%config(noreplace) %{_sysconfdir}/php%{?compatv}.d/cli/%{modname}.ini
%config(noreplace) %{_sysconfdir}/php%{?compatv}.d/fpm/%{modname}.ini

%changelog
* Sat Feb 10 2018 JoungKyun.Kim <hostmaster@oops.org> 1:2.0.2-1%{?dist}
- update 2.0.0 for PHP 72

* Fri Dec 16 2016 JoungKyun.Kim <hostmaster@oops.org> 1:2.0.2-1%{?dist}
- update 2.0.2
  http://pecl.php.net/package-changelog.php?package=oauth&release=2.0.2

* Sun Jan 10 2016 JoungKyun.Kim <hostmaster@oops.org> 1:2.0.0-1%{?dist}
- update 2.0.0 for PHP 7

* Tue Nov 10 2015 JoungKyun.Kim <hostmaster@oops.org> 1:1.2.3-2%{?dist}
- rebuilt on AN3

* Thu Oct  1 2015 JoungKyun.Kim <hostmaster@oops.org> 1:1.2.3-2%{?dist}
- fixed segfault

* Sun Jan 26 2014 JoungKyun.Kim <hostmaster@oops.org> 1:1.2.3-1%{?dist}
- first packaged

